Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

Uses of Class
nectar.data.Query

Uses of Query in nectar.data
 

Methods in nectar.data with parameters of type Query
abstract  java.lang.Object DataAdapterService.readSingleFieldSingleRow(Query q)
          Perfoms the query defined by the Query parameter Object, and returns the results as the [(Object) value].
abstract  java.util.HashMap DataAdapterService.readMultipleFieldSingleRow(Query q)
          Perfoms the query defined by the Query parameter Object, and returns the results as a [field] => [(Object) value] HashMap.
abstract  java.util.List DataAdapterService.readMultipleFieldMultipleRow(Query q)
          Perfoms the query defined by the Query parameter Object, and returns the results as a List of [field] => [(Object) value] HashMap's.
abstract  java.util.List DataAdapterService.readSingleFieldMultipleRow(Query q)
          Perfoms the query defined by the Query parameter Object, and returns the results as a List of [(Object) value]'s.
 nectar.record.IdTree DataAdapterService.getIdTree(Query q, nectar.record.IdTree tree, int depth)
          Fetches the ID numbers of the children of the root record defined in the given IdTree.